BV_BACKUP_COPY(1)

NAME
bv_backup_copy -

DESCRIPTION

Creates a volume backup copy in specified region. For general information about volume backups, see Overview of Block Volume Service Backups <https://docs.cloud.oracle.com/Content/Block/Concepts/blockvolumebackups.htm>

USAGE

oci bv backup copy [OPTIONS]

REQUIRED PARAMETERS

--destination-region [text]

    The name of the destination region.

    Example:

    us-ashburn-1

--volume-backup-id [text]

    The OCID of the volume backup.

OPTIONAL PARAMETERS

--display-name [text]

    A user-friendly name for the volume backup. Does not have to be unique and it's changeable. Avoid entering confidential information.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--kms-key-id [text]

    The OCID of the Key Management key in the destination region which will be the master encryption key for the copied volume backup. If you do not specify this attribute the volume backup will be encrypted with the Oracle-provided encryption key when it is copied to the destination region.

    For more information about the Key Management service and encryption keys, see Overview of Key Management <https://docs.cloud.oracle.com/Content/KeyManagement/Concepts/keyoverview.htm> and Using Keys <https://docs.cloud.oracle.com/Content/KeyManagement/Tasks/usingkeys.htm>.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    AVAILABLE, CREATING, FAULTY, REQUEST_RECEIVED, TERMINATED, TERMINATING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource to see if it has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle